Skip to content

Customer self-signup (VIES check if VAT supplied)

POST
/store/v1/customers
curl --request POST \
--url https://your-store.example.com/store/v1/customers \
--header 'Content-Type: application/json' \
--data '{ "email": "hello@example.com", "password": "example", "name": "example", "phone": "example", "isB2b": false, "vatNumber": "example", "acceptsMarketing": false }'
Media type application/json
object
email
required
string format: email
<= 320 characters /^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$/
password
required
string
>= 12 characters <= 1024 characters
name
string
>= 1 characters <= 255 characters
phone
string
>= 1 characters <= 64 characters
isB2b
boolean
vatNumber
string
>= 1 characters <= 64 characters
acceptsMarketing
boolean